net.sf.jasperreports.engine.analytics.dataset

## Class MultiAxisDataService.MultiAxisBucketingService

- java.lang.Object
- - net.sf.jasperreports.crosstabs.fill.calculation.BucketingService
  - - net.sf.jasperreports.engine.analytics.dataset.MultiAxisDataService.MultiAxisBucketingService

- Enclosing class:
    MultiAxisDataService

      protected class MultiAxisDataService.MultiAxisBucketingService
      extends BucketingService

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.crosstabs.fill.calculation.BucketingService

      `BucketingService.BucketListMap, BucketingService.BucketMap, BucketingService.BucketMapMap, BucketingService.MapEntry`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.fill.calculation.BucketingService

      `allBuckets, buckets, bucketValueMap, colBucketCount, columnBucketMap, dataCount, DIMENSION_COLUMN, DIMENSION_ROW, DIMENSIONS, measureIndexes, measures, origMeasureCount, processed, PROPERTY_BUCKET_MEASURE_LIMIT, retrieveTotal, rowBucketCount, rowRetrColMax, rowRetrTotalMax, rowRetrTotalMin, rowRetrTotals, serviceContext, sorted, zeroMeasureValues, zeroUserMeasureValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiAxisDataService.MultiAxisBucketingService(java.util.List<BucketDefinition> rowBuckets, java.util.List<BucketDefinition> columnBuckets, java.util.List<MeasureDefinition> measures, boolean[][] retrieveTotal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BucketingService.BucketMap` | `getColumnRootChildren()`
    `protected BucketingService.BucketMap` | `getRowRootChildren()`

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.fill.calculation.BucketingService

      `addData, addMeasure, bucketMeasuresCreated, checkBucketMeasureCount, checkTotals, clear, computeColumnTotal, computeRowTotals, computeTotals, createBucketMap, createBucketMapMap, createRowTotalsBucketMap, getBucketValues, getGrandTotals, getMeasureValues, getRowBuckets, getUserMeasureValues, getZeroUserMeasureValues, hasData, initMeasureValues, initUserMeasureValues, processData, sumVals`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiAxisDataService.MultiAxisBucketingService

          public MultiAxisDataService.MultiAxisBucketingService(java.util.List<BucketDefinition> rowBuckets,
                                                        java.util.List<BucketDefinition> columnBuckets,
                                                        java.util.List<MeasureDefinition> measures,
                                                        boolean[][] retrieveTotal)

  - ### Method Detail

    - #### getRowRootChildren

          protected BucketingService.BucketMap getRowRootChildren()

    - #### getColumnRootChildren

          protected BucketingService.BucketMap getColumnRootChildren()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com